Subject: Re: [manet] Q:AODV's implementation in ns2

From: Riadh Marrakchi <[email-masked]>
Date: Thu, 12 Sep 2002 10:12:34 +0200

Hello,
this field is used only for further Optimizations,namely to compute the timeouts
dynamically. (Section 8.2.1 and 11)

adhoc wrote:

> It seems that the version 6 is not match the implementation.
>
> In aodv-draft-v6
>
> RREQ Fomat£º
>     0                   1                   2                   3
>     0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>    |     Type      |J|R|G|D|U|   Reserved          |   Hop Count   |
>    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>    |                            RREQ ID                            |
>    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>    |                    Destination IP Address                     |
>    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>    |                  Destination Sequence Number                  |
>    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>    |                    Originator IP Address                      |
>    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>    |                  Originator Sequence Number                   |
>    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>
> But in aodv_packet.h
>
> struct hdr_aodv_request {
>         u_int8_t        rq_type;        // Packet Type
>         u_int8_t        reserved[2];
>         u_int8_t        rq_hop_count;   // Hop Count
>         u_int32_t       rq_bcast_id;    // Broadcast ID
>
>         nsaddr_t        rq_dst;         // Destination IP Address
>         u_int32_t       rq_dst_seqno;   // Destination Sequence Number
>         nsaddr_t        rq_src;         // Source IP Address
>         u_int32_t       rq_src_seqno;   // Source Sequence Number
>
>         double          rq_timestamp;   // when REQUEST sent;
>                                         // used to compute route discovery latency
>     ......
>
> the last line cant be found in the RREQ definition.
>
> Isnt the struct not really the RREQ format?
>
> Regards

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: Riadh Marrakchi <[email-masked]>
Date: Thu, 12 Sep 2002 10:12:34 +0200

Hello,